## plasma-workspace 5.27.11.1

=== debian/changelog ===
plasma-workspace (4:5.27.11.1-0ubuntu2) oracular; urgency=medium

  * Rebuild against latest libqalculate

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jun 2024 07:59:48 -0400

plasma-workspace (4:5.27.11.1-0ubuntu1) oracular; urgency=medium

  * New upstream release to fix CVE-2024-36041 Fix ksmserver: 
  Unauthorized users can access session manager. Sru: (LP: #2067742) 
  * Remove applied upstream patch.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 31 May 2024 08:13:09 -0700

plasma-workspace (4:5.27.11-0ubuntu5) noble; urgency=medium

  * Fix lightdm configuration file xession name. (LP #1629543)
    SRu (LP #1629543)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 31 May 2024 07:54:20 -0700
