=== ksplash/CMakeLists.txt ===
add_subdirectory( ksplashqml )
