=== debian/changelog ===
plasma-workspace (4:5.27.12-0ubuntu0.1) noble; urgency=medium

  * New upstream bugfix release. (LP: #2093184)
  * Remove applied upsteam patches.

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 23 Jan 2025 05:04:12 -0700

plasma-workspace (4:5.27.11-0ubuntu4.2) noble; urgency=medium

  * Fix KDE does not start when using lightdm by updating the lightdm
  configuration file we ship to use the correct defaults. (LP: #1629543)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 12 Jul 2024 03:15:55 -0700
