=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: baloo-kf5-dev (>= 5.13~),
               breeze-dev (>= 4:5.27.12~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-sodeps,
               extra-cmake-modules (>= 5.102.0~),
               iso-codes,
               kded5-dev (>= 5.102.0~),
               kinit-dev (>= 5.102.0~),
               kirigami2-dev (>= 5.102.0~),
               kquickcharts-dev (>= 5.102.0~),
               kscreenlocker-dev (>= 5.27.11~),
               kuserfeedback-dev,
               kwin-dev (>= 4:5.27.11~),
               libappstreamqt5-dev (>= 1.0.0~) [linux-any],
               libdbusmenu-qt5-dev,
               libdrm-dev,
               libfontconfig-dev,
               libgps-dev,
               libicu-dev,
               libkf5activities-dev (>= 5.102.0~),
               libkf5activitiesstats-dev (>= 5.102.0~),
               libkf5archive-dev (>= 5.102.0~),
               libkf5auth-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5crash-dev (>= 5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5doctools-dev (>= 5.102.0~),
               libkf5globalaccel-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5holidays-dev (>= 1:5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5iconthemes-dev (>= 5.102.0~),
               libkf5idletime-dev (>= 5.102.0~),
               libkf5itemmodels-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5kexiv2-dev,
               libkf5kio-dev (>= 5.102.0~),
               libkf5networkmanagerqt-dev (>= 5.102.0~),
               libkf5newstuff-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5notifyconfig-dev (>= 5.102.0~),
               libkf5package-dev (>= 5.102.0~),
               libkf5people-dev (>= 5.102.0~),
               libkf5plasma-dev (>= 5.102.0~),
               libkf5prison-dev (>= 5.102.0~),
               libkf5runner-dev (>= 5.102.0~),
               libkf5screen-dev (>= 4:5.27.11~),
               libkf5solid-dev (>= 5.102.0~),
               libkf5sysguard-dev (>= 4:5.27.11~),
               libkf5texteditor-dev (>= 5.102.0~),
               libkf5textwidgets-dev (>= 5.102.0~),
               libkf5unitconversion-dev (>= 5.102.0~),
               libkf5wallet-dev (>= 5.102.0~),
               libkf5wayland-dev (>= 4:5.102.0~),
               libkpipewire-dev (>= 5.27.11~),
               liblayershellqtinterface-dev (>= 5.27.11~),
               libpackagekitqt5-dev,
               libphonon4qt5-dev (>= 4:4.8.0-5),
               libphonon4qt5experimental-dev,
               libpipewire-0.3-dev,
               libpolkit-qt5-1-dev,
               libqalculate-dev (>= 2.0~),
               libqt5svg5-dev (>= 5.15.2~),
               libqt5waylandclient5-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               libsm-dev,
               libudev-dev,
               libwayland-dev (>= 1.15~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxtst-dev,
               pkg-kde-tools (>= 0.15.18~),
               pkgconf,
               plasma-framework (>= 5.89~),
               plasma-wayland-protocols (>= 1.9.0~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
               qtwayland5-private-dev,
               wayland-protocols (>= 1.31~),
               xcb-proto,
               zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-workspace
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace
Rules-Requires-Root: no

Package: libcolorcorrect5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 ColorCorrect library.
 .
 This package contains library files.

Package: libkfontinst5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinstui5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkworkspace5-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Kworkspace library.
 .
 This package contains library files.

Package: libnotificationmanager1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files.

Package: libplasma-geolocation-interface5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Interface library for geolocation.
 .
 This package contains library files.

Package: libtaskmanager6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files.

Package: libweather-ion7
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Weather_ion library.
 .
 This package contains library files.

Package: plasma-workspace
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         drkonqi (>= 5.27.10~),
         frameworkintegration,
         gdb-minimal | gdb,
         iso-codes,
         kactivitymanagerd (>= 5.27.10~),
         kded5,
         kinit,
         kio,
         kwin-common (>= 4:5.27.10~),
         libkf5config-bin,
         libkf5globalaccel-bin (>= 5.7.0),
         libkf5plasma5 (>= 5.89~),
         libkf5service-bin,
         milou (>= 4:5.27.10~),
         plasma-framework,
         plasma-integration (>= 5.27.10~),
         plasma-workspace-data (>= ${source:Version}),
         qdbus-qt5,
         qml-module-org-kde-activities,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kconfig,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kholidays,
         qml-module-org-kde-kirigami2 (>= 5.54.0~),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-ksysguard,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-newstuff,
         qml-module-org-kde-pipewire,
         qml-module-org-kde-prison,
         qml-module-org-kde-quickcharts,
         qml-module-org-kde-solid,
         qml-module-org-kde-userfeedback,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-shapes,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: notification-daemon, x-session-manager,
Recommends: appmenu-gtk3-module,
            kde-cli-tools (>= 4:5.27.12~),
            kio-extras,
            kio-fuse,
            ksystemstats (>= 5.27.10~),
            libpam-kwallet5 (>= 5.14),
            powerdevil (>= 4:5.14),
            systemsettings,
Breaks: breeze (<< 4:5.22.90~),
        plasma-desktop (<< 4:5.23.90~),
        plasma-desktop-data (<< 4:5.23.90~),
Replaces: breeze (<< 4:5.22.90~),
          plasma-desktop (<< 4:5.23.90~),
          plasma-desktop-data (<< 4:5.23.90~),
Description: Plasma Workspace for KF5
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.

Package: plasma-workspace-data
Architecture: all
Depends: ${misc:Depends}
Breaks: breeze (<< 4:5.22.90~),
        libnotificationmanager1 (<< 4:5.20.4-5~),
        plasma-desktop (<< 4:5.23.90~),
        plasma-desktop-data (<< 4:5.27.0~),
        plasma-workspace (<< 4:5.20.4-5~),
Replaces: breeze (<< 4:5.22.90~),
          libnotificationmanager1 (<< 4:5.20.4-5~),
          plasma-desktop (<< 4:5.23.90~),
          plasma-desktop-data (<< 4:5.27.0~),
          plasma-workspace (<< 4:5.20.4-5~),
Description: Plasma Workspace for KF5 - data files
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This contains the data files for the Plasma workspace.

Package: plasma-workspace-dev
Architecture: any
Section: libdevel
Depends: kquickcharts-dev (>= 5.102.0~),
         libkf5itemmodels-dev (>= 5.102.0~),
         libkf5plasma-dev (>= 5.102.0~),
         libkf5sysguard-dev (>= 4:5.27.11~),
         libkf5windowsystem-dev (>= 5.102.0~),
         qtbase5-dev (>= 5.15.2~),
