## plasma-workspace 5.27.12-0ubuntu0.1trisquel3

=== debian/changelog ===
plasma-workspace (4:5.27.12-0ubuntu0.1trisquel3) ecne; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 17 Mar 2025 20:06:41 +0000
