## plasma-workspace 5.27.12-0ubuntu0.1trisquel4

=== CMakeLists.txt ===
--- 
+++ 
@@ -183,12 +183,12 @@
   find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS PrintSupport)
 endif()
 
-find_package(AppStreamQt 0.10.6)
-set_package_properties(AppStreamQt PROPERTIES DESCRIPTION "Access metadata for listing available software"
+find_package(AppStreamQt5 1.0.0)
+set_package_properties(AppStreamQt5 PROPERTIES DESCRIPTION "Access metadata for listing available software"
                        URL "https://www.freedesktop.org/wiki/Distributions/AppStream/"
                        TYPE OPTIONAL)
 
-if(${AppStreamQt_FOUND})
+if(${AppStreamQt5_FOUND})
     set(HAVE_APPSTREAMQT true)
 endif()
