=== debian/changelog ===
plasma-workspace (4:5.27.12-0ubuntu0.1trisquel4) ecne; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 02 Nov 2025 06:52:54 +0000
